/**
 * $Id: JavaCodeEditor.java,v 1.3 2009/07/28 22:55:08 juanca Exp $
 * editors.* is part of ACodeEditor
 * Copyright (C) 2009 Juan Carlos Rodrguez-del-Pino. All rights reserved.
 * license GNU/GPL, see LICENSE.txt or http://www.gnu.org/licenses/gpl-2.0.html
 * @author Juan Carlos Rodriguez-del-Pino
 **/
package editors;

public class JavaCodeEditor extends CCodeEditor {
	private static final long serialVersionUID = 2047698565895041713L;

	protected void setReservedWords() {
		String list[] = {
				// From C
				"break", "case", "char", "const", "continue", "default", "do",
				"double", "else", "enum", "float", "for", "goto", "if",
				"inline", "int", "long", "return", "sizeof", "static",
				"switch",
				"unsigned",
				"void",
				"while",
				// Java and not C
				"abstract", "boolean", "byte", "catch", "class", "extends",
				"final", "finally", "implements", "import", "instanceof",
				"interface", "native", "package", "strctfp", "super",
				"synchronized", "new", "private", "protected", "public",
				"this", "throw", "transient", "true", "try", "false", "null" };
		reserved.clear();
		for (int i = 0; i < list.length; i++)
			reserved.add(list[i]);
	}
	public JavaCodeEditor(Highlights fonts){
		super(fonts);
		setReservedWords();
	}
	public String getType(){
		return "java";
	}
	public String getTypeName(){
		return "Java";
	}

}
